<?php

namespace KnitPay\Gateways\Instamojo;

use Pronamic\WordPress\Pay\Payments\PaymentStatus as Core_Statuses;

/**
 * Title: Instamojo Statuses
 * Copyright: 2020 Knit Pay
 *
 * @author  Knit Pay
 * @version 1.0.0
 * @since   1.0.0
 */
class Statuses {
	/**
	 * SUCCESSFUL
	 *
	 * @var string
	 *
	 * @link https://docs.instamojo.com/docs/get-a-payment-request
	 */
	const SUCCESSFUL = true;

	/**
	 * FAILED.
	 *
	 * @var string
	 *
	 * @link https://docs.instamojo.com/docs/get-a-payment-request
	 */
	const FAILED = false;

	/**
	 * Transform an Instamojo status to an Knit Pay status
	 *
	 * @param string $status
	 *
	 * @return null|string
	 */
	public static function transform( $status ) {
		switch ( $status ) {
			case self::SUCCESSFUL:
				return Core_Statuses::SUCCESS;

			case self::FAILED:
				return Core_Statuses::FAILURE;

			default:
				return null;
		}
	}
}
